/*
 * UiObject.java
 *
 * Created on 18. Juni 2001, 14:38
 */

package bank3tier.ui;

/**
 * The base class for a dialog representing a single LgObject.
 * @author  Christoph Knabe 2001-06-18
 * @version 2011-11-17
 */
public abstract class UiObject extends UiDialog implements java.awt.event.ActionListener {

    /** Creates new UiObject */
    public UiObject(final java.awt.Window io_owner) {
        super(io_owner);
        _contentPane.add(_inhaltPanel, java.awt.BorderLayout.CENTER);

        _buttonsPanel.setLayout(new java.awt.GridLayout (1, 4));
        _addButton(_neuButton);
        _addButton(_aendernButton);
        _addButton(_loeschenButton);
        _addButton(_listeButton);
    }

    protected final javax.swing.JPanel  _inhaltPanel = new javax.swing.JPanel();
    protected final javax.swing.JButton _neuButton = new javax.swing.JButton("Neu");
    protected final javax.swing.JButton _aendernButton = new javax.swing.JButton("Ändern");
    protected final javax.swing.JButton _loeschenButton = new javax.swing.JButton("Löschen");
    protected final javax.swing.JButton _listeButton = new javax.swing.JButton("Liste...");
    
}//UiObject